
%cd('/Users/Diego/Dropbox/jc-dg-pp/MATLAB/v7')

% Create m-file
close all
dynare dyn_main.mod noclearall

%% Generate table of simulated vs. real data
[newss, ssH, ssF, stdH, stdF, acrH, acrF, corH, corF, corHF] = dyn_stats(M_,oo_,oo_sim);
%[newss, ssH, ssF, stdH, stdF, acrH, acrF, corH, corF, corHF] = dyn_stats_qadj(M_,oo_,oo_sim);

mytable = [ 
%   sprintf('                                                 ')
%   sprintf('FOREIGN                                        ')
%   sprintf('  Steady State Properties       Data     Model ')
%   sprintf('    Hours worked               % .3f   % .3f ', data.eu_ssp_n, ssF.n)
%   sprintf('    Consumption share of GDP   % .3f   % .3f ', data.eu_ssp_c, ssF.c)
%   sprintf('    Investment share of GDP    % .3f   % .3f ', data.eu_ssp_x, ssF.x)
%   sprintf('    Imports share of GDP       % .3f   % .3f ', data.eu_ssp_m, ssF.m)
%   sprintf('  Standard Deviations                          ')
%   sprintf('    Output                     % .3f   % .3f ', data.eu_sd_gdp, stdF.gdp)
%   sprintf('    Hours worked                   ?    % .3f ',stdF.n)
%   sprintf('    Consumption                % .3f   % .3f ', data.eu_sd_c,   stdF.c)
%   sprintf('    Investment                 % .3f   % .3f ', data.eu_sd_x,   stdF.x)
%   sprintf('    Net exports                % .3f   % .3f ', data.eu_sd_nx,  stdF.nx)
%   sprintf('    Terms of trade             % .3f   % .3f ', data.eu_sd_tt,  stdF.tt)
%   sprintf('    Domestic absorption            ?    % .3f ',                 stdF.Y)
%   %sprintf('    Real net exports           % .3f   % .3f ', data.us_sd_rnx, stdF.rnx)
% %   sprintf('  Autocorrelations')
% %   sprintf('    Output                     % .3f   % .3f ', data.eu_ac_gdp, acrF.gdp)
% %   sprintf('    Hours worked                 ?     % .3f ',                 acrF.n)
% %   sprintf('    Consumption                % .3f   % .3f ', data.eu_ac_c,   acrF.c)
% %   sprintf('    Investment                 % .3f   % .3f ', data.eu_ac_x,   acrF.x)
% %   sprintf('    Net exports                % .3f   % .3f ', data.eu_ac_nx,  acrF.nx)
% %   sprintf('    Terms of trade             % .3f   % .3f ', data.eu_ac_tt,  acrF.tt)
%   sprintf('  Domestic correlations                        ')
%   sprintf('    Output-Hours                   ?    %+.3f ',                  corF.yn)
%   sprintf('    Output-Consumption         %+.3f   %+.3f ', data.eu_cor_yc,   corF.yc)
%   sprintf('    Output-Investment          %+.3f   %+.3f ', data.eu_cor_yx,   corF.yx)
%   sprintf('    Output-Net exports         %+.3f   %+.3f ', data.eu_cor_ynx,  corF.ynx)
%   sprintf('    Output-Terms of trade      %+.3f   %+.3f ', data.eu_cor_ytt,  corF.ytt)
  %sprintf('    Output-Real net exports    %+.3f   %+.3f ', data.eu_cor_yrnx, corF.yrnx)
%   sprintf('    Consumption-Hours              ?    %+.3f ',                  corF.cn)
%   sprintf('    Consumption-Investment     %+.3f   %+.3f ', data.eu_cor_cx,   corF.cx)
  sprintf('UNITED STATES                                  ')
  sprintf('  Steady State Properties       Data     Model ')
  sprintf('    Hours worked               % .3f   % .3f ', 0.34, ssH.n)
%   sprintf('    Consumption share of GDP   % .3f   % .3f ', 0.83, ssH.c)
  sprintf('    Investment share of GDP    % .3f   % .3f ', 0.23, ssH.x)
  sprintf('    Imports share of GDP       % .3f   % .3f ', 0.15, ssH.m)
  sprintf('    Investment/Capital stock   % .3f   % .3f ', 0.025,ssH.xk)
  sprintf('  Standard Deviations                          ')
  sprintf('    Output                     % .3f   % .3f ', 0.017, stdH.gdp)
  sprintf('    Hours worked               % .3f   % .3f ', 1.219, stdH.n)
  sprintf('    Consumption                % .3f   % .3f ', 0.843, stdH.c)
  sprintf('    Investment                 % .3f   % .3f ', 2.814, stdH.x)
  sprintf('    Net exports                % .3f   % .3f ', 0.337, stdH.nx)
  sprintf('    Terms of trade             % .3f   % .3f ', 1.780, stdH.tt)
%   sprintf('    Domestic absorption        % .3f   % .3f ', 1.130, stdH.Y)
%   sprintf('    Real net exports           % .3f   % .3f ', data.us_sd_rnx, stdH.rnx)
  sprintf('  Autocorrelations                             ')
  sprintf('    Output                     % .3f   % .3f ', 0.878, acrH.gdp)
  sprintf('    Hours worked               % .3f   % .3f ', 0.909, acrH.n)
  sprintf('    Consumption                % .3f   % .3f ', 0.883, acrH.c)
  sprintf('    Investment                 % .3f   % .3f ', 0.896, acrH.x)
  sprintf('    Net exports                % .3f   % .3f ', 0.778, acrH.nx)
  sprintf('    Terms of trade             % .3f   % .3f ', 0.838, acrH.tt)
  sprintf('  Domestic Correlations                        ')
  sprintf('    Output-Hours               %+.3f   %+.3f ',  0.861, corH.yn)
  sprintf('    Output-Consumption         %+.3f   %+.3f ',  0.926, corH.yc)
  sprintf('    Output-Investment          %+.3f   %+.3f ',  0.942, corH.yx)
  sprintf('    Consumption-Hours          %+.3f   %+.3f ',  0.684, corH.cn)
  sprintf('    Consumption-Investment     %+.3f   %+.3f ',  0.837, corH.cx)
  sprintf('    Output-Net exports         %+.3f   %+.3f ', -0.406, corH.ynx)
  sprintf('    Output-Terms of trade      %+.3f   %+.3f ', -0.264, corH.ytt)
%   sprintf('    Output-Real net exports    %+.3f   %+.3f ', data.us_cor_yrnx, corH.yrnx)
  sprintf('CROSS COUNTRY CORRELATIONS                     ')
  sprintf('    Output                     %+.3f   %+.3f ',  0.58,  corHF.yy)
  sprintf('    Hours worked               %+.3f   %+.3f ',  0.42,  corHF.nn)
  sprintf('    Consumption                %+.3f   %+.3f ',  0.36,  corHF.cc)
  sprintf('    Investment                 %+.3f   %+.3f ',  0.30,  corHF.xx)
  sprintf('    Relative consumption-RER   %+.3f   %+.3f ', -0.710, corHF.rcrer)
%   sprintf('    Relative output-TOT        %+.3f   %+.3f ', data.eu_cor_ryrer, corHF.ryrer)
];

disp(mytable);  

%% Figure 1
%irfs1=dyn_plotirfs(2,3,'gdpH','wH','mH',{'qH','qF'},{'pH','pF'},'totH');
irfs=dyn_plotirfs2(1,2,{'gdpH','qgdpH'},{'totH','qtotH'});
% Figure 2
%irfs2=dyn_plotirfs(2,2,{'PH','PF'},{'cH','cF'},'rerH','RCH');
irfs2=dyn_plotirfs2(2,2,{'PH','qPH'},{'cH','qcH'},{'rerH','qrerH'},{'RCH','qRCH'});
